Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.common.decorator
Class FixedSelectorProbabilityWeightFactory<Sel extends Selector>

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.common.decorator.FixedSelectorProbabilityWeightFactory<Sel>

All Implemented Interfaces:
  SelectionProbabilityWeightFactory<Sel>

    public class FixedSelectorProbabilityWeightFactory<Sel extends Selector>

extends Object
implements SelectionProbabilityWeightFactory<Sel>

Constructor Summary
`FixedSelectorProbabilityWeightFactory(Map<Sel,Double> fixedProbabilityWeightMap)`

Method Summary
`double` | `createProbabilityWeight(ScoreDirector scoreDirector, Selector selector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedSelectorProbabilityWeightFactory

    public FixedSelectorProbabilityWeightFactory(Map<Sel,Double> fixedProbabilityWeightMap)

Method Detail

### createProbabilityWeight

    public double createProbabilityWeight(ScoreDirector scoreDirector,
                                          Selector selector)

  Specified by:
    `createProbabilityWeight` in interface `SelectionProbabilityWeightFactory<Sel extends Selector>`
  Parameters:
    `scoreDirector` - never null, the `ScoreDirector` which has the `ScoreDirector.getWorkingSolution()` to which the selection belongs or applies to
    `selector` - never null, a `PlanningEntity`, a planningValue, a `Move` or a `Selector` to create the probabilityWeight for
  Returns:
    0.0 <= returnValue < `Double.POSITIVE_INFINITY`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.